# edinet_api_client

EdinetAPIClient - the Ruby gem for the EDINET API

EDINET API は、利用者が EDINET の画面からではなく、プログラムを介して EDINET のデータベースから効率的にデータを取得できる API(アプリケーション・プログラミング・インターフェース)です。EDINET API により、EDINET 利用者は効率的に開示情報を取得することが可能となります。

This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.RubyClientCodegen
For more information, please visit [https://twitter.com/gabu](https://twitter.com/gabu)

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build edinet_api_client.gemspec
```

Then either install the gem locally:

```shell
gem install ./edinet_api_client-1.0.0.gem
```

(for development, run `gem install --dev ./edinet_api_client-1.0.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'edinet_api_client', '~> 1.0.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/gabu/edinet_api_client, then add the following in the Gemfile:

    gem 'edinet_api_client', :git => 'https://github.com/gabu/edinet_api_client.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:

```ruby
# Load the gem
require 'edinet_api_client'

api_instance = EdinetAPIClient::DefaultApi.new
date = '2019-04-01' # String | 出力対象とする提出書類一覧のファイル日付（YYYY-MM-DD形式）を指定します。
opts = {
  type: 1 # Integer | 取得情報を指定します。  * 1: メタデータのみを取得します。  * 2: 提出書類一覧及びメタデータを取得します。 
}

begin
  #書類一覧 API
  result = api_instance.find_documents(date, opts)
  p result
rescue EdinetAPIClient::ApiError => e
  puts "Exception when calling DefaultApi->find_documents: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://disclosure.edinet-fsa.go.jp/api/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*EdinetAPIClient::DefaultApi* | [**find_documents**](docs/DefaultApi.md#find_documents) | **GET** /documents.json | 書類一覧 API
*EdinetAPIClient::DefaultApi* | [**get_document**](docs/DefaultApi.md#get_document) | **GET** /documents/{docID} | 書類取得 API


## Documentation for Models

 - [EdinetAPIClient::Document](docs/Document.md)
 - [EdinetAPIClient::InlineResponse200](docs/InlineResponse200.md)
 - [EdinetAPIClient::Metadata](docs/Metadata.md)
 - [EdinetAPIClient::MetadataParameter](docs/MetadataParameter.md)
 - [EdinetAPIClient::MetadataResultset](docs/MetadataResultset.md)


## Documentation for Authorization

 All endpoints do not require authorization.

